Subject: Re: bug#24472: (no subject)

From: Alan Third <[email-masked]>
Date: Fri, 22 May 2020 22:47:25 +0200 (CEST)

On Thu, May 21, 2020 at 11:50:36AM -0700, Marc Herbert wrote:
> 
> > Yes, whack a mole. Second mole whacked:
> > ...
> > Until the next mole.
> 
> Resizing a frame showing a tramp buffer: 3rd 'AutoreleasePoolPage::pop' mole
> or different bug? Please let me know.
> 
> Resizing frantically with keyboard shorcuts (I use "Spectable") reproduces
> after less than 5s. It also crashes from time to time in regular use.
> 
> Reproduction seems to require tramp, I could never reproduce resizing a
> local file. Yet wireshark shows no network traffic until the crash. On the
> crash the socket is immediately disconnected with a FIN, so I believe this
> network activity is only _after_ the crash.

> Version:               Version 26.3 (9.0)

I'd suggest trying Emacs 27, or even Emacs 28 if possible. 28 already
has some changes to resizing code.

> 38  Emacs-x86_64-10_14            	0x00000001001bf909 ns_send_appdefined + 137

No great surprises that this function is related to the NS run loop,
which handles IO.

I'm convinced that most of these crashes centred around tramp and the
menu bar and so on are best fixed by separating the NS GUI code into a
separate thread, but it's a pretty large job, and I only have half of
an implementation.
-- 
Alan Third